Bug 30128 - language_subtag_registry.description is too short
Summary: language_subtag_registry.description is too short
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Database (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Fridolin Somers
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-02-18 06:30 UTC by Fridolin Somers
Modified: 2022-03-28 11:42 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.05.00


Attachments
Bug 30128: Change language_subtag_registry.description to varchar(255) (2.47 KB, patch)
2022-02-18 06:41 UTC, Fridolin Somers
Details | Diff | Splinter Review
Bug 30128: [DO NOT PUSH] Update DBIC Schema (1.67 KB, patch)
2022-02-18 06:41 UTC, Fridolin Somers
Details | Diff | Splinter Review
Bug 30128: [DO NOT PUSH] Update DBIC Schema (1.73 KB, patch)
2022-02-26 19:33 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 30128: Change language_subtag_registry.description to varchar(255) (2.54 KB, patch)
2022-03-01 15:01 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 30128: [DO NOT PUSH] Update DBIC Schema (1.79 KB, patch)
2022-03-01 15:01 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Fridolin Somers 2022-02-18 06:30:24 UTC
In database, language_descriptions.description is VARCHAR(255).
language_subtag_registry.description is VARCH(25), it should have same size.

You can see in https://www.loc.gov/standards/iso639-2/php/code_list.php there is for example 'South American Indian languages'
Comment 1 Fridolin Somers 2022-02-18 06:41:05 UTC
Created attachment 130809 [details] [review]
Bug 30128: Change language_subtag_registry.description to varchar(255)

In database, language_descriptions.description is VARCHAR(255).
language_subtag_registry.description is VARCH(25), it should have same size.

You can see in https://www.loc.gov/standards/iso639-2/php/code_list.php there is for example 'South American Indian languages'

Test plan :
1) Run atomic update
2) Check language_subtag_registry.description is now varchar(255)
Comment 2 Fridolin Somers 2022-02-18 06:41:41 UTC
Created attachment 130810 [details] [review]
Bug 30128: [DO NOT PUSH] Update DBIC Schema
Comment 3 Katrin Fischer 2022-02-26 19:33:15 UTC
Created attachment 131142 [details] [review]
Bug 30128: [DO NOT PUSH] Update DBIC Schema

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Martin Renvoize 2022-03-01 15:01:23 UTC
Created attachment 131184 [details] [review]
Bug 30128: Change language_subtag_registry.description to varchar(255)

In database, language_descriptions.description is VARCHAR(255).
language_subtag_registry.description is VARCH(25), it should have same size.

You can see in https://www.loc.gov/standards/iso639-2/php/code_list.php there is for example 'South American Indian languages'

Test plan :
1) Run atomic update
2) Check language_subtag_registry.description is now varchar(255)

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 5 Martin Renvoize 2022-03-01 15:01:27 UTC
Created attachment 131185 [details] [review]
Bug 30128: [DO NOT PUSH] Update DBIC Schema

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 6 Martin Renvoize 2022-03-01 15:01:50 UTC
Trivial fix, no mistakes found, no regerssions.

PQA
Comment 7 Fridolin Somers 2022-03-09 09:07:18 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄
Comment 8 Fridolin Somers 2022-03-28 11:42:10 UTC
Please backport to 21.11